#!/bin/bash


#Fix for NZB-Hydra:
sed -e 's/"urlBase": null,/"urlBase": "/nzbhydra",/' -i /opt/docker_data/nzbhydra/config/hydra/settings.cfg

#Fix for couchpotato:
sed -e 's/url_base = /url_base = \/couchpotato/' -i /opt/docker_data/couchpotato/config/config.ini

#Fix for sonarr:
sed -e 's/<UrlBase><\/UrlBase>/<UrlBase>\/sonarr<\/UrlBase>/' -i /opt/docker_data/sonarr/config/config.xml

#Fix for radarr:
sed -e 's/<UrlBase><\/UrlBase>/<UrlBase>\/radarr<\/UrlBase>/' -i /opt/docker_data/radarr/config/config.xml

# Fix for Headphones:
sed -e 's/http_root = \//http_root = \/headphones\//' -i /opt/docker_data/headphones/config/config.ini



docker-compose restart nzbhydra couchpotato sonarr radarr headphones
